<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="user_worksheet_task")
 */
class UserWorksheetTask
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    protected $id;

    /**
     * @ORM\ManyToOne(targetEntity="UserWorksheet", inversedBy="worksheets")
     * @ORM\JoinColumn(name="worksheet_id", referencedColumnName="id", onDelete="SET NULL")
     */
    protected $userWorksheet;

    /**
     * @ORM\Column(type="string", nullable=true)
     */
    protected $delimitation;

    /**
     * @ORM\Column(type="string", nullable=false)
     */
    protected $task;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $inspection;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $maintenance;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $service;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $expert;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $specialist;

    /**
     * @ORM\Column(type="boolean", nullable=true)
     */
    protected $skilledPersonnel;

    /**
     * @ORM\Column(type="text", nullable=true)
     */
    protected $norm;

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return mixed
     */
    public function getUserWorksheet()
    {
        return $this->userWorksheet;
    }

    /**
     * @param mixed $userWorksheet
     */
    public function setUserWorksheet($userWorksheet): void
    {
        $this->userWorksheet = $userWorksheet;
    }

    /**
     * @return mixed
     */
    public function getDelimitation()
    {
        return $this->delimitation;
    }

    /**
     * @param mixed $delimitation
     */
    public function setDelimitation($delimitation): void
    {
        $this->delimitation = $delimitation;
    }

    /**
     * @return mixed
     */
    public function getTask()
    {
        return $this->task;
    }

    /**
     * @param mixed $task
     */
    public function setTask($task): void
    {
        $this->task = $task;
    }

    /**
     * @return mixed
     */
    public function getInspection()
    {
        return $this->inspection;
    }

    /**
     * @param mixed $inspection
     */
    public function setInspection($inspection): void
    {
        $this->inspection = $inspection;
    }

    /**
     * @return mixed
     */
    public function getMaintenance()
    {
        return $this->maintenance;
    }

    /**
     * @param mixed $maintenance
     */
    public function setMaintenance($maintenance): void
    {
        $this->maintenance = $maintenance;
    }

    /**
     * @return mixed
     */
    public function getService()
    {
        return $this->service;
    }

    /**
     * @param mixed $service
     */
    public function setService($service): void
    {
        $this->service = $service;
    }

    /**
     * @return mixed
     */
    public function getExpert()
    {
        return $this->expert;
    }

    /**
     * @param mixed $expert
     */
    public function setExpert($expert): void
    {
        $this->expert = $expert;
    }

    /**
     * @return mixed
     */
    public function getSpecialist()
    {
        return $this->specialist;
    }

    /**
     * @param mixed $specialist
     */
    public function setSpecialist($specialist): void
    {
        $this->specialist = $specialist;
    }

    /**
     * @return mixed
     */
    public function getSkilledPersonnel()
    {
        return $this->skilledPersonnel;
    }

    /**
     * @param mixed $skilledPersonnel
     */
    public function setSkilledPersonnel($skilledPersonnel): void
    {
        $this->skilledPersonnel = $skilledPersonnel;
    }

    /**
     * @return mixed
     */
    public function getNorm()
    {
        return $this->norm;
    }

    /**
     * @param mixed $norm
     */
    public function setNorm($norm): void
    {
        $this->norm = $norm;
    }

}
